Go Down

Topic: Arduino 1.8.12 Broken on Windows VISTA (arduino-builder specifically) (Read 300 times) previous topic - next topic

stever2018

I recently installed Arduino v1.8.12 on a VISTA Home Premium 64-bit machine (CPU is Intel E5400).  I was able to edit an old program OK but when I tried to verify/compile or upload I had fatal error with the message reporting that ''arduino-builder is not a valid Windows application'.  I further tried to run arduino-builder by itself in a command window and received the same message.

On a separate Windows 7 machine I did not have this problem. 

I downloaded several previous versions of Arduino, back to v1.8.5, and found that up to and including v1.8.11, the VISTA machine had no problems with arduino-builder.

I appears to me that the v1.8.12 release broke the VISTA compatibility, and specifically that arduino-builder is no longer a valid Windows (VISTA) application.

To temporarily work around this problem, I replaced the arduino-builder from v1.8.12 package with a copy from v1.8.11.  Now my Arduino installation is working satisfactorily.  I have been able to edit, verify/compile and upload my program.

I would appreciate help and actions:
- How will using the slightly older version of arduino-builder with otherwise v1.8.12 affect me
- Can the arduino-builder be corrected to restore VISTA compatibiity? 
    Is that something the 'creators' will undertake?
- Direct me in practical ways to provide more information to assist in resolution of this problem
- Any other suggestions - 'something completely different'

Thanks for attention to this problem.

Steve

UKHeliBob

Quote
Any other suggestions
Revert to a version that works

Have you got a compelling reason to upgrade to 1.8.12 ?
Please do not send me PMs asking for help.  Post in the forum then everyone will benefit from seeing the questions and answers.

ballscrewbob

VISTA and XP are DEAD OS.

Expecting the developers to support them with newer versions of the IDE would more likely mean people on newer OS would have to suffer such a large backward compatibility.

Most have moved on and hardware to support newer OS with second hand computers etc means the price point is of that old hardware is pretty much zero.

You may be able to still use the older hardware with Linux but as everything moves to X64 platforms you would still maybe have issues.

Do as the other Bob says and if you absoloutly must run on a dead OS then revert.

...Or move on to newer hardware and reap any benefits it may offer.

It may not be the answer you were looking for but its the one I am giving based on either experience, educated guess, google (who would have thunk it ! ) or the fact that you gave nothing to go with in the first place so I used my wonky crystal ball.

pert

In order to bring this to the attention of the Arduino developers, please open a bug report here:
https://github.com/arduino/arduino-builder/issues
It may be that they will decide to drop support for Windows Vista, but it's still important for them to be aware of this so they can correct the statement on the downloads page:
Quote
for Windows XP and up

Go Up